package com.heyu.api.data.service.impl.vv;
/**
* <p>
* sku详描 服务类
* </p>
*
* @author quyixiao
* @since 2025-12-04
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.vv.VvOutTradeNoDao;
import com.heyu.api.data.entity.vv.VvOutTradeNoEntity;
import com.heyu.api.data.service.vv.VvOutTradeNoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class VvOutTradeNoServiceImpl extends ServiceImpl<VvOutTradeNoDao, VvOutTradeNoEntity> implements VvOutTradeNoService {


    @Autowired
	private VvOutTradeNoDao vvOutTradeNoDao;



	@Override
	public VvOutTradeNoEntity selectVvOutTradeNoById(Long id){
		return vvOutTradeNoDao.selectVvOutTradeNoById(id);
	}



	@Override
	public Long insertVvOutTradeNo(VvOutTradeNoEntity vvOutTradeNo){
		return vvOutTradeNoDao.insertVvOutTradeNo(vvOutTradeNo);
	}



	@Override
	public Long insertOrUpdateVvOutTradeNo(VvOutTradeNoEntity vvOutTradeNo){
		return vvOutTradeNoDao.insertOrUpdateVvOutTradeNo(vvOutTradeNo);
	}



	@Override
	public int updateVvOutTradeNoById(VvOutTradeNoEntity vvOutTradeNo){
		return vvOutTradeNoDao.updateVvOutTradeNoById(vvOutTradeNo);
	}



	@Override
	public int updateCoverVvOutTradeNoById(VvOutTradeNoEntity vvOutTradeNo){
		return vvOutTradeNoDao.updateCoverVvOutTradeNoById(vvOutTradeNo);
	}



	@Override
	public int deleteVvOutTradeNoById(Long id){
		return vvOutTradeNoDao.deleteVvOutTradeNoById(id);
	}



}
